@font-face {
  font-family: "SourceHanSans-Bold";
  src: url("/template/fonts/SourceHanSans-Bold.ttc");
}

@font-face {
  font-family: "PingFang-SC-Bold";
  src: url("/template/fonts/PingFang-SC-Bold.ttf");
}

/* .header {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  z-index: 999;
} */

.inner {
  width: 1400px;
  margin: 0 auto;
  padding-bottom: 50px;
}

.p2 .inner,
.p4 .inner {
  padding-bottom: 0px;
}

.p1 {
  height: 410px;
  box-sizing: border-box;
  background: url("/template/images/core/hxyw-bg.jpg") 50% 50% no-repeat;
}

.p1 .inner {
  padding-left: 72px;
  padding-top: 184px;
  box-sizing: border-box;
}

.p2 {
  box-shadow: 0vw 0.573vw 1.51vw 0vw rgb(216 216 216 / 25%);
}

.p2 .inner {
  width: 1400px;
}

.lbanner-title {
  font-family: "PingFang-SC-Bold";
  font-size: 52px;
  color: #333;
  font-weight: 500;
  /* text-shadow: 2px 2px 0px #7d91ac; */
  text-align: justify;
  width: 235px;
}

.lbanner-title:after {
  content: "";
  display: inline-block;
  width: 100%;
}

.tab-ul {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.tab-ul li {
  width: 250px;
  border: 1px solid #e6e2e2;
}

.tab-ul li:last-child {
  margin-right: 0px;
}

.tab-ul li a {
  display: block;
  width: 100%;
  text-align: center;
  height: 66px;
  line-height: 66px;
  position: relative;
  font-size: 18px;
}

.tab-ul li:nth-child(1) a {
  line-height: 26px;
  padding-top: 8px;
  box-sizing: border-box;
}

.tab-ul li a::before {
  display: block;
  content: "";
  width: 0px;
  height: 3px;
  background-color: #eb8427;
  position: absolute;
  bottom: 0px;
  left: 0px;
  transition: all 0.3s ease-in-out;
}

.tab-ul li.current a::before {
  display: block;
  content: "";
  width: 100%;
  height: 3px;
  background-color: #eb8427;
  position: absolute;
  bottom: 0px;
  left: 0px;
  transition: all 0.3s ease-in-out;
}

.tab-ul li:hover a::before {
  width: 100%;
}

.tab-ul li.current a {
  font-weight: bold;
  color: #eb8427;
}

.tab-container {
  position: relative;
  padding: 50px 30px;
}

.tab-ul::-webkit-scrollbar {
  display: none;
}

.tab-left,
.tab-right {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  height: 30px;
  background: rgba(255, 255, 255, 0.7);
  border-radius: 50%;
  cursor: pointer;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 999;
  display: none;
}

.tab-left {
  left: 0;
  background: url("/template/images/core/l.png") 50% 50% no-repeat;
}

.tab-right {
  right: 0;
  background: url("/template/images/core/r.png") 50% 50% no-repeat;
}

.p3 {
  height: auto;
  background-color: #ecf1fb;
  overflow: hidden;
}

.p3 img {
  width: 600px;
  height: 100%;
}

.core-title {
  font-size: 26px;
  line-height: 40px;
  font-weight: bold;
  color: #333333;
  text-align: center;
  margin: 60px 0px;
}

.introduce-box {
  width: 100%;
  padding: 70px 60px;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-content: center;
  background: #fff;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  align-items: center;
}

.introduce-box .text-box p {
  font-size: 18px !important;
  text-align: justify;
  /* font-family: 微软雅黑, 宋体; */
  font-family: SourceHanSansCN-Regular;
  font-size: 20px;
  color: rgb(51, 51, 51);
  line-height: 2;
}

.introduce-box .text-box {
  width: 670px;
}

.introduce-box img {
  width: 480px;
  object-fit: cover;
  /* 保持比例并填满盒子（可选：contain/cover/fill等） */
  display: block;
  /* 去除图片底部默认空白 */
}

.text-box h3 {
  font-family: SourceHanSansCN-Regular;
  font-size: 26px;
  margin-bottom: 20px;
  font-weight: 500;
}

.text-box p {
  font-size: 16px;
  color: rgb(79, 79, 79);
  line-height: 40px;
  text-align: justify;
  width: 100%;
}

.text-box p:nth-child(1) {
  font-weight: bold;
  color: #067cd7;
  font-size: 18px;
  margin-bottom: 0px;
  line-height: 32px;
}

/* 为文本容器启用Flexbox布局 */
.text-box {
  display: flex;
  flex-direction: column;
  /* 垂直方向排列子元素 */
  min-height: 100%;
  /* 确保容器至少占满可用空间（可选） */
}

/* 定位p标签的直接父元素，使其成为Flex容器 */
.text-box>div {
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  /* 垂直居中子元素（p标签） */
  flex-grow: 1;
  /* 让这个容器占据剩余空间，实现垂直居中 */
}

.p4 {
  overflow: hidden;
  height: auto;
  background-color: #f5f8ff;
}

.big-img {
  margin: 40px auto;
}

.container {
  box-sizing: border-box;
  height: 450px;
  background-color: #ffffff;
  width: 100%;
}

/* 顶部 Swiper 样式 */
.top-tab {
  margin: 40px 0;
  padding: 0px 97px;
  position: relative;
  margin-top: 0px;
}

.top-container {
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
  -ms-overflow-style: none;
  position: relative;
  gap: 27px;
  justify-content: center;
  overflow: hidden;
}

.top-tab .top-item {
  width: 217px;
  height: 51px;
  line-height: 51px;
  text-align: center;
  background: #fff;
  box-shadow: 0px 4px 4px 0px rgba(182, 195, 221, 0.45);
  cursor: pointer;
  transition: all 0.3s;
  flex-shrink: 0;

  font-size: 22px;
  color: #333333;
}

.top-tab .tab-item:hover {
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}

.top-tab .active {
  background: #eb8427;
  color: #fff;
}

.top-left,
.top-right {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  height: 30px;
  background: rgba(255, 255, 255, 0.7);
  border-radius: 50%;
  cursor: pointer;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 999;
}

.top-left {
  left: 0;
  background: url("/template/images/core/l.png") 50% 50% no-repeat;
}

.top-right {
  right: 0;
  background: url("/template/images/core/r.png") 50% 50% no-repeat;
}

/* 底部 Swiper 样式 */
.container .swiper {
  height: 100%;
}

.container .swiper .swiper-wrapper {
  height: 100% !important;
}

.container .swiper .swiper-slide {
  height: 100%;
  padding: 40px 60px;
  box-sizing: border-box;
}

.swiper-button-next,
.swiper-button-prev {
  width: 38px;
  height: 116px;
}

.swiper-button-next {
  background: #b5b5b5 url("/template/images/core/right.png") 50% 50% no-repeat;
  right: 0px;
}

.swiper-button-prev {
  background: #b5b5b5 url("/template/images/core/left.png") 50% 50% no-repeat;
  left: 0px;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  display: none;
}

.imgbox {
  text-align: center;
}

.p6 {
  overflow: hidden;
  background-color: #f5f8ff;
}

.project-list {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.project-list li {
  width: 48%;
  height: auto;
  background-color: #ffffff;
  padding: 30px 30px;
  box-sizing: border-box;
  margin-bottom: 30px;
  transition: all 0.3s ease;
}

.project-list li:hover {
  background-color: #067cd7;
  color: #fff;
  transform: translateY(-5px);
  box-shadow: 0 10px 20px rgba(6, 124, 215, 0.2);
}

.project-list li:hover h5,
.project-list li:hover p {
  color: #fff;
}

.project-list li h5 {
  /* font-family: "PingFang SC"; */
  font-size: 16px;
  color: #067cd7;
  margin-bottom: 16px;
  font-weight: 900;
  font-variant: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.project-list li p {
  font-family: SourceHanSansCN-Regular;
  font-size: 16px;
  color: #333333;
  line-height: 35px;
  /* 限制宽度，确保内容能换行 */
  width: 100%;
  /* 或具体宽度值，根据布局调整 */
  /* 强制文本在一行内显示，为换行做准备 */
  white-space: nowrap;
  /* 溢出内容隐藏 */
  overflow: hidden;
  /* 取消强制单行显示，允许文本换行 */
  white-space: normal;
  /* 设置最大显示行数为2，超出部分用省略号替代 */
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.img-text-box {
  display: flex;
  height: 100%;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
}

.img-text-box .textbox {
  width: 650px;
}

.img-text-box .imgbox {
  width: 600px;
  flex-shrink: 0;
  height: 100%;
}

.img-text-box .imgbox img {
  width: 100%;
  object-fit: contain;
  height: 100%;
}

.lastSwiper .swiper-slide:last-child {
  padding: 30px 61px !important;
}

.textbox h5 {
  margin-bottom: 25px;
  /* font-family: SourceHanSansCN-Bold; */
  font-size: 26px;
  color: #333333;
}

.textbox p {
  font-size: 16px;
  color: rgb(79, 79, 79);
  line-height: 40px;
  text-align: justify;
  text-justify: inter-ideograph;
}

.litimg {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.litimg img {
  width: 70%;
  height: 100%;
  object-fit: contain;
}

@media (max-width: 1200px) {
  .inner {
    width: 100% !important;
    padding-bottom: 0px !important;
  }

  .p1 {
    height: 190px;
    background-size: cover;
    background-position: 70% 50%;
  }

  .p1 .inner {
    padding-top: 120px;
    padding-left: 20px;
    height: 100%;
  }

  .lbanner-title {
    font-size: 28px;
    width: 120px;
  }

  .tab-ul li {
    width: 46%;
    flex-shrink: 0;
    margin-right: 0px;
  }

  .tab-ul li a {
    width: 100%;
    height: 60px;
    line-height: 60px;
    font-size: 14px;
  }

  .tab-ul li:nth-child(1) a {
    line-height: 20px;
  }

  .core-title {
    font-size: 26px;
    margin: 20px 0px;
  }

  .p3 {
    height: auto;
  }

  .p3 img {
    display: block;
    width: 43%;
  }

  .introduce-box {
    padding: 20px;
    box-sizing: border-box;
    flex-direction: column;
    gap: 20px;
  }

  .introduce-box .text-box p {
    font-size: 16px !important;
    line-height: 30px !important;
  }

  .text-box h3 {
    font-size: 20px;
    margin-bottom: 10px;
  }

  .text-box p {
    font-size: 14px;
    line-height: 30px !important;
  }

  .text-box p:nth-child(1) {
    color: rgb(79, 79, 79);
    font-weight: normal;
  }

  .top-tab {
    margin: 20px 0px;
    padding: 0px 20px;
    margin-top: 0px;
  }

  .top-tab .top-item {
    width: 45%;
    font-size: 16px;
  }

  .p4 {
    height: auto;
    padding-bottom: 0px;
  }

  .container {
    height: auto;
  }

  .container .swiper .swiper-slide {
    padding: 20px;
  }

  .swiper-button-next,
  .swiper-button-prev {
    width: 26px;
    height: 50px;
    background-size: 36% 36% !important;
  }

  /* .container .swiper .swiper-slide {
    min-height: 300px;
  } */

  .p6 {
    min-height: auto;
    padding: 20px;
    box-sizing: border-box;
    padding-top: 0px;
  }

  .project-list {
    gap: 0px !important;
    justify-content: space-between !important;
  }

  .project-list li {
    width: 48%;
    padding: 15px;
    height: auto;
    margin-bottom: 15px !important;
  }

  .project-list li h5 {
    font-size: 20px;
    margin-bottom: 10px;
    text-align: center;
  }

  .project-list li p {
    font-size: 16px;
    line-height: 22px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .capacity-box li .yuan {
    width: 80px;
    height: 80px;
    top: -13%;
  }

  .capacity-box li .yuan span {
    width: 60px;
    height: 60px;
    line-height: 60px;
    font-size: 24px;
  }

  .capacity-box li p {
    font-size: 16px;
  }

  .top-container {
    justify-content: flex-start;
    overflow: auto;
    overflow-y: hidden;
  }

  .p4 .swiper-wrapper {
    height: auto !important;
  }

  .img-text-box {
    flex-direction: column;
  }

  .textbox h5 {
    font-size: 20px;
    margin-bottom: 10px;
  }

  .textbox p {
    font-size: 16px;
    line-height: 28px;
  }

  .img-text-box .imgbox {
    width: 100%;
  }

  .introduce-box .text-box,
  .introduce-box img {
    width: 100%;
  }

  .img-text-box .textbox {
    width: 100%;
  }

  .lastSwiper .swiper-slide:last-child {
    padding: 20px !important;
  }
}

.swiper:nth-child(1) .textbox h5 {
  display: none;
}